<?php
require'f_barnbuddy.php';
$titlu='Transfera bani Barn Buddy';
require'f_sus.php';
require'f_mut.php';
$banuti=$_POST['banuti'];
if(preg_match('/[^0-9]/',$banuti))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii Barn Buddy",`de`="'.$de.'",`text`="a încercat să transfere '.$banuti.' bani catre",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`barnbuddy_membrii`SET`bani`="0"WHERE`de`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Felicitari, deoarece ai folosit alte caractere înafară de numere, ai ramas fără bani!';
}
else
{
$amdatfloricele=$barnbuddy[1]-$banuti;
$amfloricele=$barnbuddyy[1]+$banuti;
if($barnbuddy[1]<$banuti)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai destui banuti!';
else
{
if($conn->query('UPDATE`barnbuddy_membrii`SET`bani`="'.$amfloricele.'"WHERE`de`="'.$la.'"'))
{
require'f_notificare.php';
notificare('ti-am transferat [b]'.$banuti.'[/b] bani la jocul [b]Barn Buddy[/b]!',$la,$de);
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Transfer",`de`="'.$de.'",`text`="a transferat '.$banuti.' bani la jocul Barn Buddy, catre",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`barnbuddy_membrii`SET`bani`="'.$amdatfloricele.'"WHERE`de`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai transferat cu succes '.$banuti.' bani lui '.nume($la).'<br />Banuti ramasi: '.$amdatfloricele.'<br />Banuti '.nume($la).': '.$amfloricele.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
}
echo$div[0];
require'f_jos.php';